Bug 383221 - SELinux is preventing /usr/bin/Xorg (xdm_xserver_t) "search" to <Unknown> (hwdata_t).
SELinux is preventing /usr/bin/Xorg (xdm_xserver_t) "search" to <Unknown> (h...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-14 14:46 EST by Bill Nottingham
Modified: 2014-03-16 23:11 EDT (History)
2 users (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 14:06:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-11-14 14:46:25 EST
Description of problem:

Summary
    SELinux is preventing /usr/bin/Xorg (xdm_xserver_t) "search" to <Unknown>
    (hwdata_t).

Detailed Description
    SELinux denied access requested by /usr/bin/Xorg. It is not expected that
    this access is required by /usr/bin/Xorg and this access may signal an
    intrusion attempt. It is also possible that the specific version or
    configuration of the application is causing it to require additional access.

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for <Unknown>, restorecon -v
    <Unknown> If this does not work, there is currently no automatic way to
    allow this access. Instead,  you can generate a local policy module to allow
    this access - see http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385
    Or you can disable SELinux protection altogether. Disabling SELinux
    protection is not recommended. Please file a
    http://bugzilla.redhat.com/bugzilla/enter_bug.cgi against this package.

Additional Information        

Source Context                system_u:system_r:xdm_xserver_t:s0-s0:c0.c1023
Target Context                system_u:object_r:hwdata_t:s0
Target Objects                None [ dir ]
Affected RPM Packages         xorg-x11-server-Xorg-1.4.99.1-0.10.fc9
                              [application]
Policy RPM                    selinux-policy-3.0.8-52.fc8
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall_file
Host Name                     nostromo.devel.redhat.com
Platform                      Linux nostromo.devel.redhat.com 2.6.23.1-42.fc8 #1
                              SMP Tue Oct 30 13:18:33 EDT 2007 x86_64 x86_64
Alert Count                   24
First Seen                    Tue 13 Nov 2007 01:44:47 PM EST
Last Seen                     Wed 14 Nov 2007 02:42:47 PM EST
Local ID                      a4161c3a-5c76-4a28-b88f-98f357c932fc
Line Numbers                  

Raw Audit Messages            

avc: denied { search } for comm=X dev=sda2 egid=0 euid=0 exe=/usr/bin/Xorg
exit=-13 fsgid=0 fsuid=0 gid=0 items=0 name=hwdata pid=2325
scontext=system_u:system_r:xdm_xserver_t:s0-s0:c0.c1023 sgid=0
subj=system_u:system_r:xdm_xserver_t:s0-s0:c0.c1023 suid=0 tclass=dir
tcontext=system_u:object_r:hwdata_t:s0 tty=tty7 uid=0


Version-Release number of selected component (if applicable):


selinux-policy-targeted-3.0.8-52.fc8
xorg-x11-server-Xorg-1.4.99.1-0.10.fc9
Comment 1 Daniel Walsh 2007-11-14 15:11:14 EST
Fixed in selinux-policy-3.0.8-55.fc8
Comment 2 Tom London 2007-11-19 10:12:17 EST
Believe I'm still seeing this with selinux-policy-3.0.8-57.fc8.

type=AVC msg=audit(1195481750.910:24): avc:  denied  { search } for  pid=2707
comm="X" name="hwdata" dev=dm-0 ino=5767245
scontext=system_u:system_r:xdm_xserver_t:s0-s0:c0.c1023
tcontext=system_u:object_r:hwdata_t:s0 tclass=dir
type=SYSCALL msg=audit(1195481750.910:24): arch=40000003 syscall=5 success=no
exit=-13 a0=6eb7bd a1=0 a2=1b6 a3=946a390 items=0 ppid=2704 pid=2707
auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=tty7
comm="X" exe="/usr/bin/Xorg" subj=system_u:system_r:xdm_xserver_t:s0-s0:c0.c1023
key=(null)
Comment 3 Daniel Walsh 2008-01-30 14:06:32 EST
Bulk closing a old selinux policy bugs that were in the modified state.  If the
bug is still not fixed.  Please reopen.

Note You need to log in before you can comment on or make changes to this bug.